# Filter the Perl extension module
%{?perl_default_filter}

%global pkgname Razor2-Client-Agent

Summary: Collaborative, content-based spam filtering network agent
Name: perl-Razor-Agent
Version: 2.86
Release: 2%{?dist}
License: Artistic 2.0
Group: Applications/Internet
URL: https://metacpan.org/release/%{pkgname}
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: https://cpan.metacpan.org/authors/id/T/TO/TODDR/%{pkgname}-%{version}.tar.gz
Patch0: https://github.com/toddr/Razor2-Client-Agent/commit/1a8dc0ea64c6bbe187babdb1079bc0cf05926e59.patch#/perl-Razor-Agent-2.86-digest_sha.patch
Patch1: perl-Razor-Agent-2.86-logto_stdout.patch
BuildRequires: %{__perl}, perl(Net::DNS), perl(Digest::SHA)
BuildRequires: perl(Time::HiRes), perl-URI, /usr/bin/pod2text
Provides: perl-%{pkgname} = %{version}-%{release}
Provides: perl-%{pkgname}%{?_isa} = %{version}-%{release}
Obsoletes: razor-agents
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Vipul's Razor is a distributed, collaborative, spam detection and filtering
network.  Razor establishes a distributed and constantly updating catalogue of
spam in propagation.  This catalogue is used by clients to filter out known
spam.  On receiving a spam, a Razor Reporting Agent (run by an end-user or a
troll box) calculates and submits a 20-character unique identification of the
spam (a SHA Digest) to its closest Razor Catalogue Server.  The Catalogue
Server echos this signature to other trusted servers after storing it in its
database.  Prior to manual processing or transport-level reception, Razor
Filtering Agents (end-users and MTAs) check their incoming mail against a
Catalogue Server and filter out or deny transport in case of a signature
match.  Catalogued spam, once identified and reported by a Reporting Agent,
can be blocked out by the rest of the Filtering Agents on the network.

%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p1 -b .digest_sha
%patch1 -p1 -b .logto_stdout
%{__mv} -f Changes Changes.pod
pod2text Changes.pod > Changes
# remove patch backups
find . -type f -name '*.pm.*' -exec %{__rm} -vf {} \;

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install PERL_INSTALL_ROOT=%{buildroot}

%{__chmod} -R u+w %{buildroot}/*
find %{buildroot} -type f \( -name perllocal.pod -o -name "*.bs" -o -name "*.orig" -o -name .packlist \) -exec %{__rm} -f {} \;

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc BUGS Changes CREDITS FAQ LICENSE README.md SERVICE_POLICY
%{_bindir}/razor-*
%{_mandir}/man1/razor-*.1*
%{_mandir}/man5/razor-*.5*
%{_mandir}/man3/Razor2::*.3*
%{perl_vendorarch}/Razor2
%{perl_vendorarch}/auto/Razor2

%changelog
* Mon Jan 02 2023 Simon Matter <simon.matter@invoca.ch> 2.86-2
- add logto_stdout patch

* Wed Dec 28 2022 Simon Matter <simon.matter@invoca.ch> 2.86-1
- upgrade to 2.86
- rename and integrate into a single package

* Fri Jan 07 2022 Simon Matter <simon.matter@invoca.ch> 2.85-6
- add support for EL9

* Wed Apr 22 2020 Simon Matter <simon.matter@invoca.ch> 2.85-5
- add support for EL8

* Tue Dec 16 2014 Simon Matter <simon.matter@invoca.ch> 2.85-4
- add fix to build on el7

* Tue Aug 02 2011 Simon Matter <simon.matter@invoca.ch> 2.85-3
- fix patch for building on EL6

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 2.85-2
- mass rebuild

* Thu Oct 09 2008 Simon Matter <simon.matter@invoca.ch> 2.85-1
- upgrade to 2.85

* Fri Jan 11 2008 Simon Matter <simon.matter@invoca.ch> 2.84-2
- remove .orig files from perl package

* Fri May 25 2007 Simon Matter <simon.matter@invoca.ch> 2.84-1
- update to 2.84

* Thu May 03 2007 Simon Matter <simon.matter@invoca.ch> 2.82-2
- add spamassassin #3915 patch

* Fri Jun 02 2006 Simon Matter <simon.matter@invoca.ch> 2.82-1
- update to 2.82

* Thu May 25 2006 Simon Matter <simon.matter@invoca.ch> 2.81-1
- update to 2.81

* Mon Mar 13 2006 Simon Matter <simon.matter@invoca.ch> 2.80-1
- update to 2.80

* Tue Oct 11 2005 Simon Matter <simon.matter@invoca.ch> 2.77-1
- update to 2.77

* Tue Jul 12 2005 Simon Matter <simon.matter@invoca.ch>
- update to 2.75

* Fri Jun 17 2005 Simon Matter <simon.matter@invoca.ch>
- update to 2.72
- fixed spec file to build fine on FC3

* Tue Dec 07 2004 Simon Matter <simon.matter@invoca.ch>
- update to 2.67

* Thu Oct 07 2004 Simon Matter <simon.matter@invoca.ch>
- added logging and Digest::SHA1 patches

* Thu Sep 23 2004 Simon Matter <simon.matter@invoca.ch>
- update to 2.61

* Sun Jan 26 2003 Dag Wieers <dag@wieers.com> - 1.20-0
- Initial package. (using DAR)
